<div *ngIf="iconOverrideUrl !== '' else switchIcon" [ngStyle]="{'width':width+'px','height':height+'px'}" class="icon-container">
    <img [src]="iconOverrideUrl" class="icon-container__icon" [ngStyle]="{'width':width+'px'}">
</div>
<ng-template #switchIcon>
    <ng-container [ngSwitch]="iconName">
        <div [ngStyle]="{'width':width+'px','height':height+'px'}" class="icon-container">
            <ng-container *ngSwitchCase="icon.CloudUpload">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-cloud-arrow-down" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M4.406 3.342A5.53 5.53 0 0 1 8 2c2.69 0 4.923 2 5.166 4.579C14.758 6.804 16 8.137 16 9.773 16 11.569 14.502 13 12.687 13H3.781C1.708 13 0 11.366 0 9.318c0-1.763 1.266-3.223 2.942-3.593.143-.863.698-1.723 1.464-2.383zm.653.757c-.757.653-1.153 1.44-1.153 2.056v.448l-.445.049C2.064 6.805 1 7.952 1 9.318 1 10.785 2.23 12 3.781 12h8.906C13.98 12 15 10.988 15 9.773c0-1.216-1.02-2.228-2.313-2.228h-.5v-.5C12.188 4.825 10.328 3 8 3a4.53 4.53 0 0 0-2.941 1.1z" />
                    <path fill-rule="evenodd"
                        d="M7.646 10.854a.5.5 0 0 0 .708 0l2-2a.5.5 0 0 0-.708-.708L8.5 9.293V5.5a.5.5 0 0 0-1 0v3.793L6.354 8.146a.5.5 0 1 0-.708.708l2 2z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Share">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16" class="bi bi-share"
                    attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M11.724 3.947l-7 3.5-.448-.894 7-3.5.448.894zm-.448 9l-7-3.5.448-.894 7 3.5-.448.894z" />
                    <path fill-rule="evenodd"
                        d="M13.5 4a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3zm0 1a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5zm0 10a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3zm0 1a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5zm-11-6.5a1.5 1.5 0 1 0 0-3 1.5 1.5 0 0 0 0 3zm0 1a2.5 2.5 0 1 0 0-5 2.5 2.5 0 0 0 0 5z" />
                </svg>
            </ng-container>

            <ng-container *ngSwitchCase="icon.Time">
                <svg xmlns="http://www.w3.org/2000/svg" attr.width.px="{{width}}" attr.height.px="{{height}}"
                    viewBox="0 0 16 16">
                    <path attr.fill="{{primaryColor}}" fill-rule="evenodd"
                        d="M9.5 0a.5.5 0 0 1 .068.995L9.5 1h-1v2.019a6.467 6.467 0 0 1 3.452 1.32l.606-.605a.5.5 0 0 1 .74-.636l.056.048.5.5a.5.5 0 0 1-.588.796l-.568.566A6.5 6.5 0 1 1 7.5 3.018V1h-1a.5.5 0 0 1-.068-.995L6.5 0h3zM8 4a5.5 5.5 0 1 0 0 11A5.5 5.5 0 0 0 8 4zM5.817 6.846l.054.051 2.5 2.768a.5.5 0 0 1-.688.721l-.054-.05-2.5-2.768a.5.5 0 0 1 .688-.722z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.CheckCircleFill">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-check-circle-fill" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M16 8A8 8 0 1 1 0 8a8 8 0 0 1 16 0zm-3.97-3.03a.75.75 0 0 0-1.08.022L7.477 9.417 5.384 7.323a.75.75 0 0 0-1.06 1.06L6.97 11.03a.75.75 0 0 0 1.079-.02l3.992-4.99a.75.75 0 0 0-.01-1.05z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Clear">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16" class="bi bi-x"
                    attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M11.854 4.146a.5.5 0 0 1 0 .708l-7 7a.5.5 0 0 1-.708-.708l7-7a.5.5 0 0 1 .708 0z" />
                    <path fill-rule="evenodd"
                        d="M4.146 4.146a.5.5 0 0 0 0 .708l7 7a.5.5 0 0 0 .708-.708l-7-7a.5.5 0 0 0-.708 0z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Heart">
                <svg xmlns="http://www.w3.org/2000/svg" attr.width.px="{{width}}" attr.height.px="{{height}}" attr.fill="{{primaryColor}}" viewBox="0 0 38 34">
                  <path d="M27.8 0c-2.6 0-5 1-7 3-.8.8-1.6 1.8-2 3C17 2.2 13.4.2 9.8.2 7.2.2 4.8 1.2 3 3c-2 2-3 5-3 8.4C0 17.4 3.2 23 9 28c4.4 3.6 8.8 5.6 9 5.6.2 0 .4.2.6.2h.4c.2 0 .4 0 .6-.2.2 0 4.6-2 9-5.6 6-5 9-10.6 9-16.6C37.6 3.6 32.4 0 27.8 0zM19 30.8s-.2 0-.2.2c0 0-.2 0-.2-.2-2.8-1.4-15.8-8.4-15.8-19.6 0-2.8.8-5 2.2-6.6 1.2-1.4 3-2 4.8-2 3.6 0 7.4 2.8 7.4 8.6 0 .8.6 1.2 1.2 1.4h.4c.8 0 1.2-.6 1.2-1.4 0-6 3.8-8.8 7.4-8.8 3.6 0 7.2 2.6 7.2 8.6C35 22.4 21.8 29.6 19 30.8z"/>
              </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Picture">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 17 16" class="bi bi-image"
                    attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M14.002 2h-12a1 1 0 0 0-1 1v9l2.646-2.354a.5.5 0 0 1 .63-.062l2.66 1.773 3.71-3.71a.5.5 0 0 1 .577-.094L15.002 9.5V3a1 1 0 0 0-1-1zm-12-1a2 2 0 0 0-2 2v10a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V3a2 2 0 0 0-2-2h-12zm4 4.5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.CheckList">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-clipboard-check" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M4 1.5H3a2 2 0 0 0-2 2V14a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V3.5a2 2 0 0 0-2-2h-1v1h1a1 1 0 0 1 1 1V14a1 1 0 0 1-1 1H3a1 1 0 0 1-1-1V3.5a1 1 0 0 1 1-1h1v-1z" />
                    <path fill-rule="evenodd"
                        d="M9.5 1h-3a.5.5 0 0 0-.5.5v1a.5.5 0 0 0 .5.5h3a.5.5 0 0 0 .5-.5v-1a.5.5 0 0 0-.5-.5zm-3-1A1.5 1.5 0 0 0 5 1.5v1A1.5 1.5 0 0 0 6.5 4h3A1.5 1.5 0 0 0 11 2.5v-1A1.5 1.5 0 0 0 9.5 0h-3zm4.354 7.146a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708 0l-1.5-1.5a.5.5 0 1 1 .708-.708L7.5 9.793l2.646-2.647a.5.5 0 0 1 .708 0z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Euro">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" attr.fill="{{primaryColor}}"
                    xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1"
                    id="Capa_1" x="0px" y="0px" viewBox="0 0 325.799 325.799"
                    style="enable-background:new 0 0 325.799 325.799;" xml:space="preserve">
                    <g>
                        <g>
                            <path
                                d="M285.306,296.302c-73.7,28.4-156.5-8.4-184.9-82.2c-0.5-1.4-1-2.7-1.5-4.1h147.8c5.5,0,10-4.5,10-10s-4.5-10-10-10h-153.1    c-3-15.8-3.3-32.1-1-48h170.1c5.5,0,10-4.5,10-10s-4.5-10-10-10h-165.6c22.7-75.6,102.5-118.5,178.2-95.8c3.3,1,6.7,2.1,10.1,3.4    c5.1,2,10.9-0.5,13-5.7c2-5.1-0.5-10.9-5.7-13h-0.1c-84-32.3-178.3,9.6-210.7,93.6c-2.2,5.7-4.1,11.5-5.6,17.4h-39.6    c-5.5,0-10,4.5-10,10s4.5,10,10,10h35.7c-2,16-1.7,32.1,0.9,48h-36.6c-5.5,0-10,4.5-10,10s4.5,10,10,10h41.3    c26.1,86.2,117.1,134.9,203.2,108.9c3.8-1.2,7.6-2.5,11.3-3.9c5.1-2,7.7-7.8,5.7-12.9    C296.206,296.902,290.406,294.302,285.306,296.302z" />
                        </g>
                    </g>
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Calendar">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-calendar-week" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4H1zm1-3a2 2 0 0 0-2 2v11a2 2 0 0 0 2 2h12a2 2 0 0 0 2-2V3a2 2 0 0 0-2-2H2z" />
                    <path fill-rule="evenodd"
                        d="M3.5 0a.5.5 0 0 1 .5.5V1a.5.5 0 0 1-1 0V.5a.5.5 0 0 1 .5-.5zm9 0a.5.5 0 0 1 .5.5V1a.5.5 0 0 1-1 0V.5a.5.5 0 0 1 .5-.5z" />
                    <path
                        d="M11 6.5a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5v-1zm-3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5v-1zm-5 3a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5v-1zm3 0a.5.5 0 0 1 .5-.5h1a.5.5 0 0 1 .5.5v1a.5.5 0 0 1-.5.5h-1a.5.5 0 0 1-.5-.5v-1z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Basket">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16" class="bi bi-basket"
                    attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M5.757 1.071a.5.5 0 0 1 .172.686L3.383 6h9.234L10.07 1.757a.5.5 0 1 1 .858-.514L13.783 6H15a1 1 0 0 1 1 1v1a1 1 0 0 1-1 1v4.5a2.5 2.5 0 0 1-2.5 2.5h-9A2.5 2.5 0 0 1 1 13.5V9a1 1 0 0 1-1-1V7a1 1 0 0 1 1-1h1.217L5.07 1.243a.5.5 0 0 1 .686-.172zM2 9v4.5A1.5 1.5 0 0 0 3.5 15h9a1.5 1.5 0 0 0 1.5-1.5V9H2zM1 7v1h14V7H1zm3 3a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 4 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 6 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3A.5.5 0 0 1 8 10zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 1 .5-.5zm2 0a.5.5 0 0 1 .5.5v3a.5.5 0 0 1-1 0v-3a.5.5 0 0 1 .5-.5z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.CostLow">
                <svg xmlns:svg="http://www.w3.org/2000/svg" viewBox="0 0 32 16" attr.width.px="{{width}}"
                    attr.height.px="{{height}}">
                    <defs id="defs74" />
                    <g id="g68" fill="none">
                        <path id="path62" transform="translate(0 2)"
                            d="M8 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857C4.686 1.714 3 3.16 3 6c0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zM1 6h6c.552 0 1 .448 1 1s-.448 1-1 1H1c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1H1c-.552 0-1-.448-1-1s.448-1 1-1z"
                            fill="#EF7711" />
                        <path id="path64" transform="translate(0 2)"
                            d="M31 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857-3.314 0-5 1.445-5 4.286 0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zm-7 6h6c.552 0 1 .448 1 1s-.448 1-1 1h-6c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1h-7c-.552 0-1-.448-1-1s.448-1 1-1z"
                            fill-opacity=".7" fill="#ACB0B9" />
                        <path fill="#acb0b9" fill-opacity="0.7"
                            d="m 20,2 c 0.552,0 1,0.384 1,0.857 0,0.474 -0.448,0.857 -1,0.857 -3.314,0 -5,1.445 -5,4.286 0,2.84 1.686,4.286 5,4.286 0.552,0 1,0.383 1,0.857 C 21,13.616 20.552,14 20,14 15.581,14 13,11.788 13,8 13,4.212 15.581,2 20,2 Z m -7,6 h 6 c 0.552,0 1,0.448 1,1 0,0.552 -0.448,0.9999999 -1,0.9999999 H 13 C 12.448,9.9999999 12,9.552 12,9 12,8.448 12.448,8 13,8 Z m 0,-3 h 7 c 0.552,0 1,0.448 1,1 0,0.552 -0.448,1 -1,1 H 13 C 12.448,7 12,6.552 12,6 12,5.448 12.448,5 13,5 Z"
                            id="path64-3" />
                    </g>
                </svg>

            </ng-container>

            <ng-container *ngSwitchCase="icon.CostMedium">
                <svg xmlns="http://www.w3.org/2000/svg" attr.width.px="{{width}}" attr.height.px="{{height}}"
                    viewBox="0 0 32 16">
                    <g fill="none">
                        <path fill="#EF7711"
                            d="M8 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857C4.686 1.714 3 3.16 3 6c0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zM1 6h6c.552 0 1 .448 1 1s-.448 1-1 1H1c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1H1c-.552 0-1-.448-1-1s.448-1 1-1z"
                            transform="translate(0 2)" />
                        <path fill="#ACB0B9" fill-opacity=".7"
                            d="M31 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857-3.314 0-5 1.445-5 4.286 0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zm-7 6h6c.552 0 1 .448 1 1s-.448 1-1 1h-6c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1h-7c-.552 0-1-.448-1-1s.448-1 1-1z"
                            transform="translate(0 2)" />
                        <path fill="#EF7711"
                            d="M20 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857-3.314 0-5 1.445-5 4.286 0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zm-7 6h6c.552 0 1 .448 1 1s-.448 1-1 1h-6c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1h-7c-.552 0-1-.448-1-1s.448-1 1-1z"
                            transform="translate(0 2)" />
                    </g>
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.CostHight">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 16" attr.width.px="{{width}}"
                    attr.height.px="{{height}}">
                    <g fill="none">
                        <path id="path62" transform="translate(0 2)"
                            d="M8 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857C4.686 1.714 3 3.16 3 6c0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zM1 6h6c.552 0 1 .448 1 1s-.448 1-1 1H1c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1H1c-.552 0-1-.448-1-1s.448-1 1-1z"
                            fill="#EF7711" />
                        <path id="path66" transform="translate(0 2)"
                            d="M20 0c.552 0 1 .384 1 .857 0 .474-.448.857-1 .857-3.314 0-5 1.445-5 4.286 0 2.84 1.686 4.286 5 4.286.552 0 1 .383 1 .857 0 .473-.448.857-1 .857-4.419 0-7-2.212-7-6s2.581-6 7-6zm-7 6h6c.552 0 1 .448 1 1s-.448 1-1 1h-6c-.552 0-1-.448-1-1s.448-1 1-1zm0-3h7c.552 0 1 .448 1 1s-.448 1-1 1h-7c-.552 0-1-.448-1-1s.448-1 1-1z"
                            fill="#EF7711" />
                        <path fill="#ef7711"
                            d="m 31,2 c 0.552,0 1,0.384 1,0.857 0,0.474 -0.448,0.857 -1,0.857 -3.314,0 -5,1.445 -5,4.286 0,2.84 1.686,4.286 5,4.286 0.552,0 1,0.383 1,0.857 C 32,13.616 31.552,14 31,14 26.581,14 24,11.788 24,8 24,4.212 26.581,2 31,2 Z m -7,6 h 6 c 0.552,0 1,0.448 1,1 0,0.552 -0.448,1 -1,1 H 24 C 23.448,10 23,9.552 23,9 23,8.448 23.448,8 24,8 Z m 0,-3 h 7 c 0.552,0 1,0.448 1,1 0,0.552 -0.448,1 -1,1 H 24 C 23.448,7 23,6.552 23,6 23,5.448 23.448,5 24,5 Z"
                            id="path66-6" />
                    </g>
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.DifficultyLow">
                <svg xmlns="http://www.w3.org/2000/svg" attr.width.px="{{width}}" attr.height.px="{{height}}"
                    viewBox="0 0 32 16">
                    <g fill="none">
                        <path fill="#EF7711"
                            d="M6 13.644L9.708 16 8.724 11.56 12 8.573 7.686 8.187 6 4 4.314 8.187 0 8.573 3.276 11.56 2.292 16z" />
                        <path fill="#ACB0B9" fill-opacity=".7"
                            d="M26 13.644L29.708 16 28.724 11.56 32 8.573 27.686 8.187 26 4 24.314 8.187 20 8.573 23.276 11.56 22.292 16z" />
                        <path fill="#ACB0B9" fill-opacity=".7"
                            d="M16 9.644L19.708 12 18.724 7.56 22 4.573 17.686 4.187 16 0 14.314 4.187 10 4.573 13.276 7.56 12.292 12z" />
                    </g>
                </svg>

            </ng-container>
            <ng-container *ngSwitchCase="icon.DifficultyMedium">
                <svg xmlns:svg="http://www.w3.org/2000/svg" viewBox="0 0 32 16" attr.width.px="{{width}}"
                    attr.height.px="{{height}}">
                    <g fill="none">
                        <path id="path196"
                            d="M6 13.644L9.708 16 8.724 11.56 12 8.573 7.686 8.187 6 4 4.314 8.187 0 8.573 3.276 11.56 2.292 16z"
                            fill="#EF7711" />
                        <path id="path198"
                            d="M26 13.644L29.708 16 28.724 11.56 32 8.573 27.686 8.187 26 4 24.314 8.187 20 8.573 23.276 11.56 22.292 16z"
                            fill-opacity=".7" fill="#ACB0B9" />
                        <path fill="#ef7711"
                            d="M 16,9.6439996 19.708,12 18.724,7.5599996 22,4.573 17.686,4.187 16,0 14.314,4.187 10,4.573 13.276,7.5599996 12.292,12 Z"
                            id="path196-7" />
                    </g>
                </svg>
            </ng-container>


            <ng-container *ngSwitchCase="icon.Grip">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-grip-horizontal" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path
                        d="M7 2a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm3 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0zM7 5a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm3 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0zM7 8a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm3 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm-3 3a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm3 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm-3 3a1 1 0 1 1-2 0 1 1 0 0 1 2 0zm3 0a1 1 0 1 1-2 0 1 1 0 0 1 2 0z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.ChevronDown">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24">
                    <path d="M0 0h24v24H0V0z" fill="none" />
                    <path attr.fill="{{primaryColor}}" d="M7.41 8.59L12 13.17l4.59-4.58L18 10l-6 6-6-6 1.41-1.41z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.ReturnLeft">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-arrow-return-left" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M14.5 1.5a.5.5 0 0 1 .5.5v4.8a2.5 2.5 0 0 1-2.5 2.5H2.707l3.347 3.346a.5.5 0 0 1-.708.708l-4.2-4.2a.5.5 0 0 1 0-.708l4-4a.5.5 0 1 1 .708.708L2.707 8.3H12.5A1.5 1.5 0 0 0 14 6.8V2a.5.5 0 0 1 .5-.5z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.ArrowDown">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-arrow-down" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M8 1a.5.5 0 0 1 .5.5v11.793l3.146-3.147a.5.5 0 0 1 .708.708l-4 4a.5.5 0 0 1-.708 0l-4-4a.5.5 0 0 1 .708-.708L7.5 13.293V1.5A.5.5 0 0 1 8 1z" />
                </svg>
            </ng-container>

            <ng-container *ngSwitchCase="icon.Cart">
                <svg xmlns="http://www.w3.org/2000/svg" attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16">
                    <path attr.fill="{{primaryColor}}" d="M12.5 13c.828 0 1.5.672 1.5 1.5s-.672 1.5-1.5 1.5-1.5-.672-1.5-1.5.672-1.5 1.5-1.5zm-9 0c.828 0 1.5.672 1.5 1.5S4.328 16 3.5 16 2 15.328 2 14.5 2.672 13 3.5 13zM3 0l.591 2H15c.623 0 1.095.564.984 1.177C15.27 7.14 14.526 9 13 9H4.42c-.377.391-.67.729-.876 1H13c.552 0 1 .448 1 1s-.448 1-1 1H3c-1.28 0-2.11-.83-1.699-2.066.218-.654.813-1.44 1.807-2.454L1.433 2H0V0h3zm10.786 4H4.182l.887 3h7.737c.09-.124.2-.333.315-.621.224-.56.447-1.355.665-2.379z"/>
                </svg>
            </ng-container>

            <ng-container *ngSwitchCase="icon.DifficultyHight">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 16" attr.width.px="{{width}}"
                    attr.height.px="{{height}}">
                    <g fill="none">
                        <path id="path196"
                            d="M6 13.644L9.708 16 8.724 11.56 12 8.573 7.686 8.187 6 4 4.314 8.187 0 8.573 3.276 11.56 2.292 16z"
                            fill="#EF7711" />
                        <path fill="#ef7711"
                            d="M 16,9.6439996 19.708,12 18.724,7.5599996 22,4.573 17.686,4.187 16,0 14.314,4.187 10,4.573 13.276,7.5599996 12.292,12 Z"
                            id="path196-7" />
                        <path id="path196-7-5"
                            d="M 26,13.643999 29.708,16 28.724,11.559999 32,8.573 27.686,8.187 26,4 24.314,8.187 20,8.573 23.276,11.559999 22.292,16 Z"
                            fill="#ef7711" />
                    </g>
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.People">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16" class="bi bi-people"
                    attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M15 14s1 0 1-1-1-4-5-4-5 3-5 4 1 1 1 1h8zm-7.978-1h7.956a.274.274 0 0 0 .014-.002l.008-.002c-.002-.264-.167-1.03-.76-1.72C13.688 10.629 12.718 10 11 10c-1.717 0-2.687.63-3.24 1.276-.593.69-.759 1.457-.76 1.72a1.05 1.05 0 0 0 .022.004zM11 7a2 2 0 1 0 0-4 2 2 0 0 0 0 4zm3-2a3 3 0 1 1-6 0 3 3 0 0 1 6 0zM6.936 9.28a5.88 5.88 0 0 0-1.23-.247A7.35 7.35 0 0 0 5 9c-4 0-5 3-5 4 0 .667.333 1 1 1h4.216A2.238 2.238 0 0 1 5 13c0-1.01.377-2.042 1.09-2.904.243-.294.526-.569.846-.816zM4.92 10c-1.668.02-2.615.64-3.16 1.276C1.163 11.97 1 12.739 1 13h3c0-1.045.323-2.086.92-3zM1.5 5.5a3 3 0 1 1 6 0 3 3 0 0 1-6 0zm3-2a2 2 0 1 0 0 4 2 2 0 0 0 0-4z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Grocery">
                <svg xmlns="http://www.w3.org/2000/svg" id="Out_line" data-name="Out line" viewBox="0 0 512 512"
                    attr.width.px="{{width}}" attr.height.px="{{height}}" attr.fill="{{primaryColor}}">
                    <path
                        d="M496,184h-8V95.21a79.51747,79.51747,0,0,0-48.24-73.15991,40.20637,40.20637,0,0,0-31.52,0A79.51747,79.51747,0,0,0,360,95.21v75.6001A87.54442,87.54442,0,0,1,344.36,127.99l-.00061-.00806A7.99364,7.99364,0,0,0,352,120V72a8.00008,8.00008,0,0,0-8-8H280a8.00008,8.00008,0,0,0-8,8v2.8501c-.43994-.51026-.9-1-1.38-1.48A31.984,31.984,0,0,0,220.01,80.51a32.22031,32.22031,0,0,0-5.39-7.13989,32.00263,32.00263,0,0,0-53.80994,15.43994A31.98816,31.98816,0,0,0,146.86,144,31.96526,31.96526,0,0,0,152,195.7V240h16V200H408V480H344v16H496a7.9979,7.9979,0,0,0,8-8V192A7.9979,7.9979,0,0,0,496,184ZM376,136h24a8,8,0,0,1,0,16H376Zm4.37-64H400a8,8,0,1,1,0,16H376.4A64.01244,64.01244,0,0,1,380.37,72ZM288,80h48v32H288ZM168,184a16,16,0,0,1,0-32,8,8,0,0,0,0-16,16,16,0,0,1,0-32,7.9979,7.9979,0,0,0,8-8,16.00013,16.00013,0,0,1,31.62-3.47A31.958,31.958,0,0,0,202.86,144a31.93735,31.93735,0,0,0-6.55994,40Zm56,0a16,16,0,0,1,0-32,8,8,0,0,0,0-16,16,16,0,0,1,0-32,7.9979,7.9979,0,0,0,8-8,16,16,0,1,1,32,0,7.9979,7.9979,0,0,0,8,8v16a7.99364,7.99364,0,0,0,7.64062,7.98193L279.64,127.99A87.73358,87.73358,0,0,1,256,180.62012V96H240v88Zm50.14,0a103.38584,103.38584,0,0,0,21.54993-56h32.62012A103.38584,103.38584,0,0,0,349.86,184ZM376,184V168h24a24,24,0,0,0,0-48H376V104h24a24,24,0,0,0,0-48H389.52a63.465,63.465,0,0,1,25.03-19.24,24.04215,24.04215,0,0,1,18.8999,0A63.51551,63.51551,0,0,1,472,95.21V184ZM488,480H424V200h64Z" />
                    <path
                        d="M176,432a24.04267,24.04267,0,0,0-18.334-23.32422,67.0819,67.0819,0,0,0-123.332,0,24.00336,24.00336,0,0,0,0,46.64844,67.0819,67.0819,0,0,0,123.332,0A24.04267,24.04267,0,0,0,176,432Zm-24,8a7.99922,7.99922,0,0,0-7.42773,5.0293l-1.14454,2.86132a51.08168,51.08168,0,0,1-94.85546,0l-1.14454-2.86132A7.99922,7.99922,0,0,0,40,440a8,8,0,0,1,0-16,7.99922,7.99922,0,0,0,7.42773-5.0293l1.14454-2.86132a51.08168,51.08168,0,0,1,94.85546,0l1.14454,2.86132A7.99922,7.99922,0,0,0,152,424a8,8,0,0,1,0,16Z" />
                    <rect x="64" y="408" width="16" height="16" />
                    <rect x="80" y="440" width="16" height="16" />
                    <rect x="112" y="424" width="16" height="16" />
                    <path
                        d="M206.02,341.8501l17.13989-34.27-14.31982-7.16016-11.03,22.07007L192,316.67993V299.75a40.18506,40.18506,0,0,0-34.34009-39.59009L129.13,256.08008a7.99356,7.99356,0,0,0-9.04992,9.0498l4.07983,28.53A40.18506,40.18506,0,0,0,163.75,328h16.92993l9.21008,9.21a80.07936,80.07936,0,0,0-67.2301,19.16016L133.34009,368.29A63.911,63.911,0,0,1,176,352a62.44161,62.44161,0,0,1,6.87.37012l-9.07,18.12988a7.74033,7.74033,0,0,0-2.22-1.66016l-16-8-7.16016,14.32007,13.8501,6.92017A25.95522,25.95522,0,0,0,191.61,392.75l12.80993,6.40991,7.16016-14.32007-16-8a8.044,8.044,0,0,0-7.02-.06982l10.28-20.55a64.00695,64.00695,0,0,1-44.17017,120.13989L149.33008,491.45A80.01072,80.01072,0,0,0,206.02,341.8501ZM176,300.68994l-15.6-15.6001L149.09009,296.3999,164.68994,312H163.75a24.12661,24.12661,0,0,1-23.76-20.60986l-2.56006-17.96021L155.39,276A24.10891,24.10891,0,0,1,176,299.75Z" />
                    <path
                        d="M304,272h-8v-8h8a7.9979,7.9979,0,0,0,8-8V224a7.9979,7.9979,0,0,0-8-8H224a7.9979,7.9979,0,0,0-8,8v32a7.9979,7.9979,0,0,0,8,8h8v8h-8a32.0512,32.0512,0,0,0-23.85,10.66992l11.92,10.66016A16.0305,16.0305,0,0,1,224,288h16a7.9979,7.9979,0,0,0,8-8V264h32v8H264v16h40a16.02116,16.02116,0,0,1,16,16v16H232v16h88v96H272v16h48v16a16.02116,16.02116,0,0,1-16,16H240v16h64a32.036,32.036,0,0,0,32-32V304A32.036,32.036,0,0,0,304,272Zm-72-24V232h64v16Z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.MinusSquare">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" aria-hidden="true" focusable="false"
                    data-prefix="fas" data-icon="minus-square" class="svg-inline--fa fa-minus-square fa-w-14"
                    role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                    <path fill="currentColor"
                        d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zM92 296c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h264c6.6 0 12 5.4 12 12v56c0 6.6-5.4 12-12 12H92z">
                    </path>
                </svg>
            </ng-container>

            <ng-container *ngSwitchCase="icon.Trash">
              <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                  <g id="S-MOBILE" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
                      <g id="S-RECETTE-PRESELECTION" transform="translate(-334.000000, -528.000000)" fill="currentColor" fill-rule="nonzero">
                          <g id="Group-2">
                              <g id="LIST" transform="translate(12.000000, 256.000000)">
                                  <g id="1.-Composants/PRODUIT/CARD/PRESELECT/S" transform="translate(180.000000, 0.000000)">
                                      <g id="Group-2" transform="translate(16.000000, 269.000000)">
                                          <g id="3.-Icons/Basic/Trash" transform="translate(126.000000, 3.000000)">
                                              <path d="M3,7 L3,13 C3,13.5522847 3.44771525,14 4,14 L12,14 C12.5522847,14 13,13.5522847 13,13 L13,7 L15,7 L15,13 C15,14.6568542 13.6568542,16 12,16 L4,16 C2.34314575,16 1,14.6568542 1,13 L1,7 L3,7 Z M5,8 L7,8 L7,12 L5,12 L5,8 Z M9,8 L11,8 L11,12 L9,12 L9,8 Z M6,4 L10,4 L10,3 C10,2.44771525 9.55228475,2 9,2 L7,2 C6.44771525,2 6,2.44771525 6,3 L6,4 Z M4,4 L4,3 C4,1.34314575 5.34314575,0 7,0 L9,0 C10.6568542,0 12,1.34314575 12,3 L12,4 L15,4 C15.5522847,4 16,4.44771525 16,5 C16,5.55228475 15.5522847,6 15,6 L1,6 C0.44771525,6 0,5.55228475 0,5 C0,4.44771525 0.44771525,4 1,4 L4,4 Z" id="Shape"></path>
                                          </g>
                                      </g>
                                  </g>
                              </g>
                          </g>
                      </g>
                  </g>
              </svg>
            </ng-container>


            <ng-container *ngSwitchCase="icon.PlusSquare">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" aria-hidden="true" focusable="false"
                    data-prefix="fas" data-icon="plus-square" class="svg-inline--fa fa-plus-square fa-w-14"
                    role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 448 512">
                    <path attr.fill="{{primaryColor}}"
                        d="M400 32H48C21.5 32 0 53.5 0 80v352c0 26.5 21.5 48 48 48h352c26.5 0 48-21.5 48-48V80c0-26.5-21.5-48-48-48zm-32 252c0 6.6-5.4 12-12 12h-92v92c0 6.6-5.4 12-12 12h-56c-6.6 0-12-5.4-12-12v-92H92c-6.6 0-12-5.4-12-12v-56c0-6.6 5.4-12 12-12h92v-92c0-6.6 5.4-12 12-12h56c6.6 0 12 5.4 12 12v92h92c6.6 0 12 5.4 12 12v56z">
                    </path>
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Wait">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" attr.fill="{{primaryColor}}"
                    attr.width.px="{{width}}" attr.height.px="{{height}}">
                    <path d="M0 0h24v24H0V0z" fill="none" />
                    <path
                        d="M6 2v6h.01L6 8.01 10 12l-4 4 .01.01H6V22h12v-5.99h-.01L18 16l-4-4 4-3.99-.01-.01H18V2H6zm10 14.5V20H8v-3.5l4-4 4 4zm-4-5l-4-4V4h8v3.5l-4 4z" />
                </svg>
            </ng-container>

            <ng-container *ngSwitchCase="icon.Hot">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" attr.fill="{{primaryColor}}"
                    attr.width.px="{{width}}" attr.height.px="{{height}}">
                    <path d="M0 0h24v24H0z" fill="none" />
                    <path
                        d="M13.5.67s.74 2.65.74 4.8c0 2.06-1.35 3.73-3.41 3.73-2.07 0-3.63-1.67-3.63-3.73l.03-.36C5.21 7.51 4 10.62 4 14c0 4.42 3.58 8 8 8s8-3.58 8-8C20 8.61 17.41 3.8 13.5.67zM11.71 19c-1.78 0-3.22-1.4-3.22-3.14 0-1.62 1.05-2.76 2.81-3.12 1.77-.36 3.6-1.21 4.62-2.58.39 1.29.59 2.65.59 4.04 0 2.65-2.15 4.8-4.8 4.8z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Search">
                <svg  attr.width.px="{{width}}" attr.height.px="{{height}}" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16">
                  <path d="M4.41768 3.64119C4.18693 3.41025 3.81256 3.41025 3.58181 3.64119C2.72506 4.49794 2.30397 5.69144 2.42634 6.91587C2.45687 7.22091 2.71384 7.44828 3.01393 7.44828C3.03365 7.44828 3.05353 7.44728 3.07325 7.44531C3.39818 7.41281 3.63522 7.12294 3.60272 6.79822C3.51562 5.92806 3.81278 5.08197 4.41768 4.47703C4.64862 4.24631 4.64862 3.87191 4.41768 3.64119Z" attr.fill="{{primaryColor}}"/>
                  <path d="M6.75863 0C3.03191 0 0 3.03191 0 6.75863C0 10.4853 3.03191 13.5173 6.75863 13.5173C10.4853 13.5173 13.5173 10.4853 13.5173 6.75863C13.5173 3.03191 10.4853 0 6.75863 0ZM6.75863 12.335C3.68375 12.335 1.18228 9.8335 1.18228 6.75863C1.18228 3.68375 3.68375 1.18228 6.75863 1.18228C9.83331 1.18228 12.335 3.68375 12.335 6.75863C12.335 9.8335 9.8335 12.335 6.75863 12.335Z" attr.fill="{{primaryColor}}"/>
                  <path d="M15.8268 14.9909L11.5312 10.6954C11.3002 10.4644 10.9262 10.4644 10.6953 10.6954C10.4644 10.9261 10.4644 11.3005 10.6953 11.5312L14.9909 15.8268C15.1064 15.9423 15.2575 16 15.4088 16C15.5602 16 15.7113 15.9423 15.8268 15.8268C16.0577 15.5961 16.0577 15.2217 15.8268 14.9909Z" attr.fill="{{primaryColor}}"/>
              </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Swap">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16"
                    class="bi bi-arrow-left-right" attr.fill="{{primaryColor}}" xmlns="http://www.w3.org/2000/svg">
                    <path fill-rule="evenodd"
                        d="M10.146 7.646a.5.5 0 0 1 .708 0l3 3a.5.5 0 0 1 0 .708l-3 3a.5.5 0 0 1-.708-.708L12.793 11l-2.647-2.646a.5.5 0 0 1 0-.708z" />
                    <path fill-rule="evenodd"
                        d="M2 11a.5.5 0 0 1 .5-.5H13a.5.5 0 0 1 0 1H2.5A.5.5 0 0 1 2 11zm3.854-9.354a.5.5 0 0 1 0 .708L3.207 5l2.647 2.646a.5.5 0 1 1-.708.708l-3-3a.5.5 0 0 1 0-.708l3-3a.5.5 0 0 1 .708 0z" />
                    <path fill-rule="evenodd" d="M2.5 5a.5.5 0 0 1 .5-.5h10.5a.5.5 0 0 1 0 1H3a.5.5 0 0 1-.5-.5z" />
                </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Group">
              <svg xmlns="http://www.w3.org/2000/svg" width="26" height="17" fill="none" viewBox="0 0 26 17">
                <mask id="v8f0hpt10a" width="26" height="17" x="0" y="0" fill="#000" maskUnits="userSpaceOnUse">
                    <path fill="#fff" d="M0 0H26V17H0z"/>
                    <path d="M21.757 7.705c.702-.494 1.168-1.315 1.168-2.241 0-1.515-1.225-2.74-2.74-2.74-1.515 0-2.74 1.225-2.74 2.74 0 .926.46 1.747 1.168 2.241-.603.21-1.154.532-1.62.95-.64-.546-1.395-.964-2.222-1.211 1.002-.608 1.677-1.714 1.677-2.973C16.448 2.553 14.895 1 12.976 1c-1.918 0-3.471 1.558-3.471 3.471 0 1.259.67 2.365 1.676 2.973-.816.247-1.562.66-2.198 1.197-.466-.409-1.007-.727-1.6-.931.702-.494 1.167-1.315 1.167-2.241 0-1.515-1.225-2.74-2.74-2.74-1.514 0-2.74 1.225-2.74 2.74 0 .926.461 1.747 1.169 2.24C2.353 8.362 1 10.152 1 12.256v.313c0 .01.01.019.019.019h5.808c-.034.261-.053.532-.053.802v.323c0 1.396 1.13 2.527 2.527 2.527h7.36c1.396 0 2.527-1.13 2.527-2.527v-.323c0-.27-.02-.541-.053-.802h5.846c.01 0 .019-.01.019-.02v-.313c-.01-2.108-1.358-3.898-3.243-4.549zM18.205 5.46c0-1.092.888-1.98 1.98-1.98s1.98.888 1.98 1.98c0 1.078-.869 1.957-1.942 1.98h-.076c-1.078-.019-1.942-.897-1.942-1.98zm-7.95-.988c0-1.496 1.216-2.711 2.712-2.711 1.496 0 2.711 1.215 2.711 2.711 0 1.444-1.135 2.626-2.555 2.707h-.313c-1.42-.08-2.555-1.263-2.555-2.707zm-6.439.988c0-1.092.888-1.98 1.98-1.98s1.98.888 1.98 1.98c0 1.078-.869 1.957-1.942 1.98h-.076c-1.073-.019-1.942-.897-1.942-1.98zm3.144 6.363H1.77C1.982 9.8 3.692 8.213 5.767 8.2h.057c.987.005 1.89.37 2.588.964-.684.74-1.192 1.653-1.453 2.66zm11.458 1.89c0 .974-.793 1.767-1.766 1.767h-7.36c-.974 0-1.767-.793-1.767-1.767v-.323c0-2.949 2.355-5.36 5.285-5.446.052.004.11.004.162.004.052 0 .109 0 .161-.004 2.93.085 5.285 2.497 5.285 5.446v.323zm.565-1.89c-.26-1.002-.76-1.9-1.439-2.64.703-.608 1.615-.973 2.612-.983h.057c2.075.014 3.785 1.6 3.999 3.623h-5.229z"/>
                </mask>
                <path fill="#202020" d="M21.757 7.705c.702-.494 1.168-1.315 1.168-2.241 0-1.515-1.225-2.74-2.74-2.74-1.515 0-2.74 1.225-2.74 2.74 0 .926.46 1.747 1.168 2.241-.603.21-1.154.532-1.62.95-.64-.546-1.395-.964-2.222-1.211 1.002-.608 1.677-1.714 1.677-2.973C16.448 2.553 14.895 1 12.976 1c-1.918 0-3.471 1.558-3.471 3.471 0 1.259.67 2.365 1.676 2.973-.816.247-1.562.66-2.198 1.197-.466-.409-1.007-.727-1.6-.931.702-.494 1.167-1.315 1.167-2.241 0-1.515-1.225-2.74-2.74-2.74-1.514 0-2.74 1.225-2.74 2.74 0 .926.461 1.747 1.169 2.24C2.353 8.362 1 10.152 1 12.256v.313c0 .01.01.019.019.019h5.808c-.034.261-.053.532-.053.802v.323c0 1.396 1.13 2.527 2.527 2.527h7.36c1.396 0 2.527-1.13 2.527-2.527v-.323c0-.27-.02-.541-.053-.802h5.846c.01 0 .019-.01.019-.02v-.313c-.01-2.108-1.358-3.898-3.243-4.549zM18.205 5.46c0-1.092.888-1.98 1.98-1.98s1.98.888 1.98 1.98c0 1.078-.869 1.957-1.942 1.98h-.076c-1.078-.019-1.942-.897-1.942-1.98zm-7.95-.988c0-1.496 1.216-2.711 2.712-2.711 1.496 0 2.711 1.215 2.711 2.711 0 1.444-1.135 2.626-2.555 2.707h-.313c-1.42-.08-2.555-1.263-2.555-2.707zm-6.439.988c0-1.092.888-1.98 1.98-1.98s1.98.888 1.98 1.98c0 1.078-.869 1.957-1.942 1.98h-.076c-1.073-.019-1.942-.897-1.942-1.98zm3.144 6.363H1.77C1.982 9.8 3.692 8.213 5.767 8.2h.057c.987.005 1.89.37 2.588.964-.684.74-1.192 1.653-1.453 2.66zm11.458 1.89c0 .974-.793 1.767-1.766 1.767h-7.36c-.974 0-1.767-.793-1.767-1.767v-.323c0-2.949 2.355-5.36 5.285-5.446.052.004.11.004.162.004.052 0 .109 0 .161-.004 2.93.085 5.285 2.497 5.285 5.446v.323zm.565-1.89c-.26-1.002-.76-1.9-1.439-2.64.703-.608 1.615-.973 2.612-.983h.057c2.075.014 3.785 1.6 3.999 3.623h-5.229z"/>
                <path fill="#202020" d="M21.757 7.705l-.23-.327-.64.45.74.255.13-.378zm-3.144 0l.13.378.742-.257-.643-.449-.229.328zm-1.62.95l-.259.304.267.227.26-.233-.267-.298zm-2.222-1.211l-.207-.342-.77.467.863.258.114-.383zm-3.59 0l.116.383.861-.26-.77-.465-.207.342zM8.983 8.641l-.264.3.258.227.263-.222-.257-.305zm-1.6-.931l-.23-.327-.642.45.741.255.13-.378zm-3.144 0l.13.378.743-.256-.644-.45-.23.328zm2.588 4.877l.396.05.058-.45h-.454v.4zm12.308 0v-.4h-.454l.057.45.397-.05zM25 12.255h.4v-.002l-.4.002zm-4.777-4.816v.4h.009l-.01-.4zm-.076 0l-.007.4h.007v-.4zm-7.023-.26v.4h.01l.012-.002-.023-.399zm-.314 0l-.023.398.012.001h.011v-.4zm-6.976.26v.4h.009l-.009-.4zm-.076 0l-.007.4h.007v-.4zm1.202 4.383v.4h.31l.077-.3-.387-.1zm-5.19 0l-.399-.042-.046.442h.444v-.4zM5.767 8.2v-.4h-.003l.003.4zm.057 0l.002-.4h-.002v.4zm2.588.964l.294.271.282-.306-.317-.27-.26.305zm4.397-1.22l.036-.399-.024-.002h-.024l.012.4zm.323 0l.012-.4h-.024l-.024.001.036.399zm5.85 3.88l-.387.1.078.3h.31v-.4zm-1.439-2.641l-.261-.303-.312.27.279.303.294-.27zm2.612-.983v-.4h-.003l.003.4zm.057 0l.003-.4h-.003v.4zm3.999 3.623v.4h.444l-.046-.442-.398.042zm-2.225-3.79c.804-.565 1.338-1.505 1.338-2.568h-.8c0 .79-.397 1.491-.998 1.914l.46.654zm1.338-2.568c0-1.736-1.404-3.14-3.14-3.14v.8c1.294 0 2.34 1.046 2.34 2.34h.8zm-3.14-3.14c-1.736 0-3.14 1.404-3.14 3.14h.8c0-1.294 1.046-2.34 2.34-2.34v-.8zm-3.14 3.14c0 1.061.528 2.003 1.339 2.57l.458-.657c-.604-.422-.997-1.123-.997-1.913h-.8zm1.437 1.863c-.652.226-1.25.576-1.756 1.03l.535.596c.425-.382.929-.678 1.483-.87l-.262-.756zM17.253 8.35c-.682-.58-1.486-1.026-2.367-1.29l-.23.767c.772.23 1.478.621 2.078 1.132l.52-.609zm-2.274-.564c1.116-.677 1.869-1.91 1.869-3.315h-.8c0 1.113-.596 2.092-1.484 2.631l.415.684zm1.869-3.315c0-2.14-1.732-3.871-3.872-3.871v.8c1.698 0 3.072 1.374 3.072 3.071h.8zM12.976.6c-2.14 0-3.871 1.737-3.871 3.871h.8c0-1.693 1.374-3.071 3.071-3.071V.6zM9.105 4.471c0 1.404.747 2.638 1.87 3.315l.413-.684c-.891-.538-1.483-1.517-1.483-2.63h-.8zm1.96 2.59c-.87.263-1.664.703-2.34 1.274l.515.611c.597-.502 1.294-.888 2.057-1.12l-.232-.765zM9.247 8.34c-.503-.442-1.09-.787-1.734-1.008l-.26.756c.543.187 1.04.478 1.467.853l.527-.601zm-1.634-.303C8.416 7.472 8.95 6.531 8.95 5.47h-.8c0 .789-.396 1.49-.998 1.914l.46.654zM8.95 5.47c0-1.736-1.404-3.14-3.14-3.14v.8c1.294 0 2.34 1.046 2.34 2.34h.8zm-3.14-3.14c-1.735 0-3.14 1.404-3.14 3.14h.8c0-1.294 1.047-2.34 2.34-2.34v-.8zm-3.14 3.14c0 1.061.529 2.003 1.34 2.569l.458-.656c-.605-.422-.998-1.123-.998-1.913h-.8zm1.438 1.863C2.067 8.036.6 9.975.6 12.255h.8c0-1.928 1.24-3.57 2.97-4.167l-.262-.756zM.6 12.255v.313h.8v-.313H.6zm0 .313c0 .135.063.236.123.296s.161.123.296.123v-.8c.125 0 .217.059.27.111.052.053.111.145.111.27H.6zm.419.419h5.808v-.8H1.019v.8zm5.41-.45c-.034.276-.055.563-.055.852h.8c0-.252.018-.506.05-.752l-.794-.1zm-.055.852v.323h.8v-.323h-.8zm0 .323c0 1.617 1.31 2.927 2.927 2.927v-.8c-1.175 0-2.127-.952-2.127-2.127h-.8zm2.927 2.927h7.36v-.8h-7.36v.8zm7.36 0c1.617 0 2.927-1.31 2.927-2.927h-.8c0 1.175-.951 2.127-2.127 2.127v.8zm2.927-2.927v-.323h-.8v.323h.8zm0-.323c0-.289-.02-.576-.056-.853l-.794.101c.032.246.05.5.05.752h.8zm-.453-.402h5.846v-.8h-5.846v.8zm5.846 0c.135 0 .236-.063.296-.123s.123-.161.123-.296h-.8c0-.125.059-.217.111-.27.053-.053.145-.111.27-.111v.8zm.419-.42v-.313h-.8v.314h.8zm0-.314c-.01-2.282-1.47-4.221-3.513-4.926l-.26.756c1.727.597 2.964 2.238 2.973 4.173l.8-.003zm-6.795-6.794c0-.871.709-1.58 1.58-1.58v-.8c-1.313 0-2.38 1.067-2.38 2.38h.8zm1.58-1.58c.871 0 1.58.709 1.58 1.58h.8c0-1.313-1.067-2.38-2.38-2.38v.8zm1.58 1.58c0 .859-.693 1.561-1.551 1.58l.018.8c1.288-.028 2.333-1.083 2.333-2.38h-.8zm-1.542 1.58h-.002-.002-.001-.001-.002-.003-.001-.001-.002-.001-.002-.001-.002-.001-.001-.004-.001-.002-.001-.001-.001-.002-.001-.002v.8H20.223v-.8zm-.038 0h-.002-.003-.002-.001-.001-.006-.001-.002-.001-.002-.001-.005-.001-.002-.001-.001-.001-.002-.003v.8H20.185v-.8zm-.031 0c-.86-.015-1.55-.715-1.55-1.58h-.8c0 1.3 1.04 2.357 2.336 2.38l.014-.8zm-9.499-2.568c0-1.275 1.037-2.311 2.312-2.311v-.8c-1.717 0-3.112 1.395-3.112 3.111h.8zm2.312-2.311c1.275 0 2.311 1.036 2.311 2.311h.8c0-1.716-1.394-3.111-3.111-3.111v.8zm2.311 2.311c0 1.23-.968 2.239-2.177 2.308l.045.798c1.63-.092 2.932-1.448 2.932-3.106h-.8zm-2.155 2.307h-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001H13h-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.002v.8H13.124v-.8zm-.156 0h-.001-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001-.002-.001-.003-.001-.002-.001-.001-.002-.001-.001v.8H12.967v-.8zm-.134 0c-1.21-.068-2.178-1.077-2.178-2.307h-.8c0 1.658 1.302 3.014 2.932 3.106l.046-.798zM4.216 5.46c0-.871.709-1.58 1.58-1.58v-.8c-1.313 0-2.38 1.067-2.38 2.38h.8zm1.58-1.58c.871 0 1.58.709 1.58 1.58h.8c0-1.313-1.067-2.38-2.38-2.38v.8zm1.58 1.58c0 .859-.693 1.561-1.55 1.58l.017.8c1.289-.028 2.333-1.083 2.333-2.38h-.8zm-1.542 1.58h-.002-.002-.003-.002-.001-.001-.001-.001-.001-.002-.001-.002-.001-.003-.001-.001-.001-.002-.001-.001-.001-.001H5.8h-.002-.001-.001v.8H5.835v-.8zm-.038 0h-.002-.005-.002-.001-.001-.001-.001-.001-.002-.001-.002-.003-.001-.001-.001-.001-.001-.002-.001-.001-.001-.001-.002-.001-.001v.8H5.797v-.8zm-.03 0c-.856-.015-1.55-.716-1.55-1.58h-.8c0 1.301 1.044 2.357 2.335 2.38l.014-.8zm1.194 4.383H1.77v.8h5.19v-.8zm-4.793.442C2.36 10.041 3.901 8.612 5.77 8.6l-.005-.8c-2.281.016-4.159 1.758-4.393 3.981l.795.084zm3.6-3.265H5.797v-.8h-.001-.001-.001-.001-.001-.001-.001-.001-.001-.001-.002H5.774h-.001-.002-.002-.001-.001v.8zm.03 0H5.825v-.8h-.001-.001-.001-.002-.001-.002-.007-.002-.001-.002-.001-.001H5.8 5.8h-.001-.001-.001v.8zm.026 0c.888.004 1.7.333 2.33.869l.519-.61c-.766-.65-1.758-1.054-2.845-1.059l-.004.8zm2.296.293c-.728.788-1.268 1.758-1.547 2.83l.775.2c.244-.94.72-1.794 1.36-2.488l-.588-.542zm9.9 4.82c0 .753-.615 1.367-1.367 1.367v.8c1.194 0 2.166-.972 2.166-2.167h-.8zm-1.367 1.367h-7.36v.8h7.36v-.8zm-7.36 0c-.753 0-1.367-.614-1.367-1.367h-.8c0 1.195.972 2.167 2.166 2.167v-.8zm-1.367-1.367v-.323h-.8v.323h.8zm0-.323c0-2.732 2.183-4.967 4.897-5.047l-.024-.8c-3.145.093-5.673 2.682-5.673 5.847h.8zm4.849-5.048c.073.007.15.006.198.006v-.8c-.056 0-.095 0-.126-.003l-.072.797zm.198.006c.048 0 .124 0 .197-.006l-.072-.797c-.031.003-.07.003-.125.003v.8zm.15-.005c2.713.08 4.896 2.315 4.896 5.047h.8c0-3.165-2.527-5.754-5.673-5.846l-.024.8zm4.896 5.047v.323h.8v-.323h-.8zm1.352-1.668c-.277-1.066-.808-2.021-1.53-2.81l-.59.541c.636.694 1.102 1.534 1.346 2.471l.774-.202zm-1.564-2.236c.633-.548 1.454-.877 2.354-.886l-.008-.8c-1.094.01-2.097.412-2.87 1.08l.524.606zm2.35-.886H20.185v-.8h-.001-.001-.001-.001-.001-.001H20.165h-.001-.001-.001-.001-.001-.001-.001-.001-.001v.8zm.029 0H20.214v-.8h-.001-.001H20.198h-.001-.001-.001-.001-.001-.001-.001-.001-.001-.001-.001-.001-.001-.001v.8zm.026 0c1.869.013 3.41 1.442 3.603 3.265l.796-.084c-.235-2.223-2.113-3.965-4.394-3.98l-.005.799zm4 2.823h-5.228v.8h5.229v-.8z" mask="url(#v8f0hpt10a)"/>
            </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.RecipeBook">
                <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32" attr.fill="{{primaryColor}}"  attr.width.px="{{width}}" attr.height.px="{{height}}">
                  <path fill="#1177BC" d="M24.507 0H2.86C1.284 0 0 1.284 0 2.861V29.14C0 30.716 1.284 32 2.861 32h21.646c.961 0 1.743-.782 1.743-1.743V1.743C26.25.782 25.468 0 24.507 0zM1.25 29.139c0-.889.723-1.612 1.611-1.612H22.5v3.223H2.86c-.888 0-1.611-.723-1.611-1.611zM25 30.257c0 .272-.221.493-.493.493h-.757v-3.223h.757c.171 0 .337-.024.493-.07v2.8zm0-4.473c0 .272-.221.493-.493.493H3.75V11.125c0-.345-.28-.625-.625-.625s-.625.28-.625.625V26.3c-.46.058-.885.226-1.25.475V2.861c0-.764.535-1.405 1.25-1.57v9.66c0 .345.28.625.625.625s.625-.28.625-.625V1.25h20.757c.272 0 .493.221.493.493v24.041z"/>
                  <path fill="#1177BC" d="M18.807 6.74c-.473 0-.937.09-1.37.264-.68-1.005-1.822-1.627-3.062-1.627-1.24 0-2.382.622-3.061 1.627-.434-.173-.898-.263-1.37-.263-2.037 0-3.694 1.657-3.694 3.693 0 1.565.96 2.922 2.386 3.456v7.294c0 .533.434.966.966.966h9.546c.532 0 .966-.433.966-.966V13.89C21.54 13.356 22.5 12 22.5 10.434c0-2.036-1.657-3.693-3.693-3.693zm-8.92 14.16v-1.25h8.977v1.25H9.886zm9.463-8.083c-.284.064-.486.317-.486.61V18.4H9.886v-4.974c0-.292-.201-.545-.486-.61-1.119-.253-1.9-1.233-1.9-2.382 0-1.347 1.096-2.443 2.443-2.443.46 0 .906.128 1.293.37.154.096.342.12.515.068.173-.054.315-.18.388-.345.392-.885 1.27-1.457 2.236-1.457.967 0 1.845.572 2.236 1.457.073.166.215.291.388.345.173.053.361.028.515-.068.387-.242.834-.37 1.293-.37 1.347 0 2.443 1.096 2.443 2.443 0 1.15-.781 2.129-1.9 2.383zM3.125 13.138c-.345 0-.625.28-.625.626 0 .345.28.625.625.625s.625-.28.625-.625c0-.346-.28-.626-.625-.626z"/>
                </svg>
            </ng-container>

            <ng-container *ngSwitchCase="icon.Help">
              <svg xmlns="http://www.w3.org/2000/svg" attr.fill="{{primaryColor}}"  attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 64 65">
                  <g clip-path="url(#clipHelp)">
                      <path d="M32 .6C14.3.6 0 14.9 0 32.6s14.3 32 32 32 32-14.3 32-32S49.7.6 32 .6zm1.7 47.8c-.6.6-1.5.8-2.4.8-.8 0-1.7-.2-2.3-.8-.6-.6-.9-1.3-.9-2.3 0-.9.4-1.7 1.1-2.3.7-.6 1.5-.9 2.4-.9.8 0 1.7.2 2.3.9.6.7.9 1.3.9 2.3-.2 1-.5 1.9-1.1 2.3zM39 27.7c-.4 1.1-.8 1.7-1.5 2.3l-1.9 1.9-1.3 1.3c-.2.4-.6.9-.8 1.5-.2.6-.4 1.3-.4 1.9 0 .6.2 1.5.4 2.6-.9.4-1.7.8-2.4.8-1.9 0-2.8-1.1-2.8-3 0-.8.2-1.7.6-2.3.4-.9.8-1.5 1.1-1.9.4-.4.9-1.1 1.7-1.9l1.7-1.7c.4-.4.6-1.1 1.1-1.9.4-.8.6-1.5.6-2.3 0-1.1-.2-1.7-.9-2.1-.6-.4-1.3-.6-2.1-.6-1.1 0-1.9.2-2.8.8-.7.5-1.3 1.4-1.6 2.5-2.3-.4-3.4-1.1-3.4-2.3 0-1.3.6-2.4 2.1-3 1.5-.9 3.2-1.1 5.1-1.1 2.3 0 4.5.4 6 1.5s2.3 2.6 2.3 4.5c.1.4-.1 1.4-.8 2.5z"/>
                  </g>
                  <defs>
                      <clipPath id="clipHelp">
                          <path fill="#fff" d="M0 0H64V64H0z" transform="translate(0 .6)"/>
                      </clipPath>
                  </defs>
              </svg>
              
            </ng-container>

            <ng-container *ngSwitchCase="icon.RecipeHelp">
              <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 128 128" fill="none" xmlns="http://www.w3.org/2000/svg">
                <g clip-path="url(#clipRecipeHelp)">
                  <path d="M126.689 65.5088C126.689 85.8154 116.964 103.879 101.935 115.293C100.072 116.707 97.3936 115.369 97.3936 113.03C97.3936 108.62 93.8184 105.044 89.4072 105.044H21.3613C17.5742 105.044 14.0088 103.182 11.9111 100.028C5.33301 90.1377 1.5 78.2705 1.5 65.5088C1.5 30.9961 29.5244 3.01758 64.0947 3.01758C98.6651 3.01758 126.689 30.9961 126.689 65.5088Z" fill="#1177BC"/>
                  <path d="M121.324 31.0752H99.3525V14.8584C99.3525 8.31934 104.653 3.01758 111.192 3.01758H112.894C118.961 3.01758 123.879 7.93652 123.879 14.0039V28.5205C123.879 29.9316 122.735 31.0752 121.324 31.0752Z" fill="#D2D1CD"/>
                  <path d="M112.894 3.01855C106.826 3.01855 101.907 7.92871 101.907 13.9863V115.313C96.3711 119.511 90.1152 122.807 83.3564 124.985C77.2881 126.941 70.8154 127.23 64.0947 127.23C52.9336 127.227 42.4561 124.186 33.3828 119C26.749 115.209 22.7061 108.105 22.7061 100.464V13.9854C22.7061 7.92871 27.624 3.01758 33.6914 3.01758H112.894V3.01855Z" fill="#EFEFEF"/>
                  <path d="M65.1172 32.6074V33.8788C65.1172 34.5839 64.5449 35.1562 63.8389 35.1562H45.9551C45.25 35.1562 44.6777 34.5839 44.6777 33.8788V32.6074C44.6777 31.9023 45.25 31.33 45.9551 31.33H63.8389C64.5449 31.33 65.1172 31.9023 65.1172 32.6074Z" fill="#797979"/>
                  <path d="M75.3359 45.999V47.2695C75.3359 47.9755 74.7646 48.5468 74.0586 48.5468H45.9551C45.25 48.5468 44.6777 47.9755 44.6777 47.2695V45.999C44.6777 45.2929 45.25 44.7216 45.9551 44.7216H74.0586C74.7646 44.7216 75.3359 45.2929 75.3359 45.999ZM45.9551 56.1992H71.5039C72.209 56.1992 72.7812 55.6269 72.7812 54.9218V53.6503C72.7812 52.9453 72.209 52.373 71.5039 52.373H45.9551C45.25 52.373 44.6777 52.9453 44.6777 53.6503V54.9218C44.6777 55.6269 45.25 56.1992 45.9551 56.1992ZM74.0586 60.0253H45.9551C45.25 60.0253 44.6777 60.5966 44.6777 61.3027V62.5732C44.6777 63.2792 45.25 63.8505 45.9551 63.8505H74.0586C74.7646 63.8505 75.3359 63.2792 75.3359 62.5732V61.3027C75.3359 60.5966 74.7646 60.0253 74.0586 60.0253ZM70.8223 75.7118H45.9551C45.25 75.7118 44.6777 76.2831 44.6777 76.9892V78.2597C44.6777 78.9658 45.25 79.537 45.9551 79.537H70.8223C71.5283 79.537 72.0996 78.9658 72.0996 78.2597V76.9892C72.0996 76.2831 71.5283 75.7118 70.8223 75.7118ZM45.9551 71.6308H63.8389C64.5449 71.6308 65.1172 71.0585 65.1172 70.3525V69.082C65.1172 68.3769 64.5449 67.8046 63.8389 67.8046H45.9551C45.25 67.8046 44.6777 68.3769 44.6777 69.082V70.3525C44.6777 71.0585 45.25 71.6308 45.9551 71.6308Z" fill="#DCDCDC"/>
                  <path d="M48.5098 90.1191V90.1269C48.5098 91.1806 47.6553 92.0361 46.6006 92.0361H46.5869C45.5322 92.0361 44.6777 91.1806 44.6777 90.1269V90.1191C44.6777 89.0644 45.5322 88.2099 46.5869 88.2099H46.6006C47.6553 88.2099 48.5098 89.0644 48.5098 90.1191ZM52.5996 88.2099H52.585C51.5312 88.2099 50.6758 89.0644 50.6758 90.1191V90.1269C50.6758 91.1816 51.5312 92.0361 52.585 92.0361H52.5996C53.6533 92.0361 54.5088 91.1816 54.5088 90.1269V90.1191C54.5088 89.0644 53.6533 88.2099 52.5996 88.2099ZM58.5977 88.2099H58.584C57.5293 88.2099 56.6748 89.0644 56.6748 90.1191V90.1269C56.6748 91.1816 57.5293 92.0361 58.584 92.0361H58.5977C59.6523 92.0361 60.5068 91.1816 60.5068 90.1269V90.1191C60.5068 89.0644 59.6523 88.2099 58.5977 88.2099Z" fill="#D7D7D7"/>
                  <path d="M29.3486 13.9854V105.044H22.7061V13.9854C22.7061 7.92871 27.624 3.01758 33.6914 3.01758H40.334C34.2666 3.01855 29.3486 7.92871 29.3486 13.9854Z" fill="#FAFAFA"/>
                  <path d="M49.3008 3.24899C52.793 6.73532 53.6016 11.58 51.1074 14.0703C48.6123 16.5605 43.7598 15.7529 40.2676 12.2666C36.7754 8.78122 35.9668 3.93552 38.4609 1.44528C40.9551 -1.04495 45.8086 -0.237334 49.3008 3.24899Z" fill="#ECB700"/>
                  <path d="M49.3007 3.249C49.872 3.81931 50.371 4.42673 50.7958 5.05368C51.0898 5.48728 51.1289 6.05368 50.8847 6.51658C50.8828 6.51853 50.8818 6.52146 50.8808 6.52439C49.2294 9.63669 44.3535 10.29 39.9892 7.9824C39.5644 7.75876 39.1611 7.51462 38.7792 7.25388C37.3564 6.28122 36.79 4.41697 37.498 2.84665C37.5019 2.83786 37.5058 2.82907 37.5097 2.82029C37.2832 3.37693 37.2802 3.874 37.5576 4.15036C38.0566 4.64841 39.2695 4.24509 40.2675 3.249C41.2656 2.2529 41.6699 1.04099 41.1708 0.542942C40.8945 0.267551 40.3974 0.269504 39.8398 0.49509C42.4882 -0.712918 46.373 0.326144 49.3007 3.249Z" fill="#F1CA50"/>
                  <path d="M111.876 36.5156L110.241 44.2109C109.275 48.7558 105.257 52.0068 100.603 52.0068C97.9366 52.0068 95.7754 49.8496 95.7754 47.1875C95.7754 42.542 99.0323 38.5293 103.585 37.5654L111.292 35.9326C111.641 35.8584 111.95 36.168 111.876 36.5156ZM11.4746 72.2246L13.1104 79.9199C14.0762 84.4648 18.0948 87.7158 22.7491 87.7158C25.4141 87.7158 27.5752 85.5586 27.5752 82.8965C27.5752 78.251 24.3194 74.2383 19.7666 73.2744L12.0596 71.6416C11.711 71.5674 11.4014 71.8769 11.4746 72.2246Z" fill="#059B7E"/>
                  <path d="M103.885 51.4434C103.035 51.7432 102.074 51.4717 101.539 50.7471C101.519 50.7187 101.498 50.6904 101.478 50.6621C100.905 49.8506 100.986 48.7539 101.665 48.0293C102.594 47.04 103.46 46.0254 104.194 45.0498L107.562 40.5771C107.636 40.4805 107.626 40.3457 107.54 40.2607C107.455 40.1758 107.32 40.166 107.224 40.2383L102.744 43.6016C102.332 43.9111 101.912 44.2432 101.491 44.5937C101.196 44.8398 100.755 44.5586 100.859 44.1885C101.634 41.4404 103.593 39.0781 106.351 37.8584L110.161 36.1719L111.292 35.9326C111.641 35.8594 111.949 36.168 111.876 36.5156L110.241 44.2109C109.513 47.6377 107.048 50.3271 103.885 51.4434ZM19.7666 73.2734L12.0596 71.6416C11.7109 71.5674 11.4014 71.877 11.4756 72.2246L11.7148 73.3535L13.4033 77.1572C14.626 79.9111 16.9912 81.8662 19.7451 82.6406C20.1152 82.7441 20.3975 82.3037 20.1504 82.0088C19.7998 81.5879 19.4658 81.1699 19.1562 80.7588L15.7881 76.2861C15.7158 76.1895 15.7256 76.0547 15.8105 75.9697C15.8955 75.8848 16.0303 75.875 16.1269 75.9473L20.6064 79.3105C21.584 80.0439 22.6006 80.9082 23.5918 81.835C24.3174 82.5127 25.416 82.5938 26.2285 82.0234C26.2578 82.0029 26.2861 81.9824 26.3144 81.9609C27.04 81.4277 27.3125 80.4678 27.0117 79.6201C25.8945 76.4619 23.2002 74.001 19.7666 73.2734Z" fill="#0AB59E"/>
                  <path d="M95.7754 61.4277C87.3096 61.4277 80.4463 68.2792 80.4463 76.7314C80.4463 85.1835 87.3096 92.0351 95.7754 92.0351C104.241 92.0351 111.104 85.1835 111.104 76.7314C111.104 68.2792 104.241 61.4277 95.7754 61.4277ZM95.7754 84.3837C91.542 84.3837 88.1104 80.9579 88.1104 76.7324C88.1104 72.5058 91.542 69.08 95.7754 69.08C100.009 69.08 103.44 72.5058 103.44 76.7324C103.44 80.9579 100.009 84.3837 95.7754 84.3837Z" fill="#FAFAFA"/>
                  <path d="M95.7754 66.5292C90.1318 66.5292 85.5557 71.0976 85.5557 76.7324C85.5557 82.3671 90.1318 86.9345 95.7754 86.9345C101.42 86.9345 105.995 82.3671 105.995 76.7324C105.995 71.0976 101.42 66.5292 95.7754 66.5292ZM95.7754 81.8329C92.9531 81.8329 90.666 79.5497 90.666 76.7314C90.666 73.914 92.9531 71.6308 95.7754 71.6308C98.5977 71.6308 100.885 73.914 100.885 76.7314C100.885 79.5497 98.5977 81.8329 95.7754 81.8329Z" fill="#FDDFA6"/>
                  <path d="M31.3379 39.249C36.3271 44.2294 31.9043 49.5038 25.9179 55.4814C19.9316 61.4579 14.6484 65.872 9.65916 60.8915C4.66991 55.9111 5.47948 47.0292 11.4658 41.0527C17.4521 35.0751 26.3496 34.2685 31.3379 39.249Z" fill="#CC7556"/>
                  <path d="M36.4648 61.1181C35.9121 62.1025 35.206 63.042 34.3486 63.8974C33.4922 64.7529 32.5508 65.458 31.5654 66.0097C30.0342 66.8672 28.0957 66.6562 26.8457 65.4248C26.8379 65.417 26.8291 65.4091 26.8213 65.4004L21.2617 59.8506C18.9209 61.3379 16.5273 61.4365 14.4013 59.3134C10.8672 55.7851 11.4404 49.4941 15.6806 45.2607C19.9209 41.0273 26.2236 40.455 29.7568 43.9834C31.8828 46.1064 31.7842 48.4951 30.2939 50.832L35.8545 56.3828C35.8623 56.3906 35.8701 56.3994 35.8789 56.4072C37.1123 57.6552 37.3242 59.5908 36.4648 61.1181Z" fill="#994122"/>
                  <path d="M26.7969 47.3408C26.8047 47.3486 26.8135 47.3564 26.8223 47.3652L35.8545 56.3828L35.8789 56.4072C37.0694 57.6093 37.3643 59.4472 36.5655 60.9365C36.5557 60.955 36.5459 60.9736 36.5362 60.9912C36.1524 61.6963 35.5762 62.2714 34.8701 62.6543C34.8526 62.664 34.834 62.6738 34.8155 62.6836C33.3233 63.4814 31.4824 63.1875 30.2793 61.999C30.2705 61.9902 30.2627 61.9824 30.2539 61.9746L21.2217 52.956C21.2129 52.9482 21.2051 52.9394 21.1963 52.9316C20.0069 51.7304 19.711 49.8925 20.5098 48.4033C20.5196 48.3847 20.5303 48.3671 20.5401 48.3486C20.9229 47.6435 21.5 47.0673 22.2071 46.6845C22.2246 46.6738 22.2432 46.665 22.2617 46.6552C23.753 45.8574 25.5938 46.1523 26.7969 47.3408Z" fill="#CC7556"/>
                  <path d="M31.9033 99.6874C31.9033 101.097 30.7598 102.238 29.3486 102.238C27.9375 102.238 26.793 101.097 26.793 99.6874C26.793 98.2792 27.9375 97.1367 29.3486 97.1367C30.7598 97.1367 31.9033 98.2792 31.9033 99.6874ZM34.458 18.0673C33.0469 18.0673 31.9033 19.2089 31.9033 20.6171C31.9033 22.0263 33.0469 23.1679 34.458 23.1679C35.8691 23.1679 37.0127 22.0263 37.0127 20.6171C37.0127 19.2089 35.8691 18.0673 34.458 18.0673ZM90.666 97.1367C89.2549 97.1367 88.1104 98.2792 88.1104 99.6874C88.1104 101.097 89.2549 102.238 90.666 102.238C92.0771 102.238 93.2207 101.097 93.2207 99.6874C93.2207 98.2792 92.0771 97.1367 90.666 97.1367Z" fill="#E43950"/>
                  <path d="M98.3301 30.8203C98.3301 32.2285 97.1865 33.3711 95.7754 33.3711C94.3643 33.3711 93.2207 32.2285 93.2207 30.8203C93.2207 29.4111 94.3643 28.2695 95.7754 28.2695C97.1865 28.2695 98.3301 29.4111 98.3301 30.8203ZM116.215 63.9785C114.804 63.9785 113.66 65.1201 113.66 66.5293C113.66 67.9375 114.804 69.0801 116.215 69.0801C117.626 69.0801 118.77 67.9375 118.77 66.5293C118.77 65.1201 117.626 63.9785 116.215 63.9785ZM103.44 56.3262C102.029 56.3262 100.885 57.4687 100.885 58.8769C100.885 60.2861 102.029 61.4277 103.44 61.4277C104.852 61.4277 105.995 60.2861 105.995 58.8769C105.995 57.4687 104.852 56.3262 103.44 56.3262Z" fill="#86523E"/>
                  <path d="M82.9404 0.532186C83.6348 -0.16215 84.7705 -0.184611 85.4668 0.508748C85.4717 0.512654 85.4756 0.517537 85.4795 0.521444C90.4688 5.50191 90.4688 13.5771 85.4795 18.5566C80.4912 23.5371 72.4024 23.5371 67.4141 18.5566C67.4092 18.5527 67.4053 18.5478 67.4014 18.5439C66.7071 17.8496 66.7295 16.7158 67.4248 16.0214L82.9404 0.532186Z" fill="#EF7280"/>
                  <path d="M80.915 2.55273C81.4121 2.87012 81.8838 3.24414 82.3184 3.67773C85.5605 6.91504 85.5605 12.1641 82.3184 15.4014C79.0752 18.6387 73.8184 18.6387 70.5752 15.4014C70.1406 14.9678 69.7666 14.4971 69.4492 14.001L80.915 2.55273Z" fill="#E43950"/>
                  <path d="M82.8633 11.2558C82.7217 11.7832 81.751 11.9814 80.6943 11.6982C79.6387 11.416 78.8965 10.7597 79.0381 10.2324C79.1797 9.70504 80.1504 9.5068 81.207 9.78903C82.2627 10.0722 83.0049 10.7285 82.8633 11.2558ZM77.1406 12.1259C76.6133 12.2675 76.4141 13.2373 76.6973 14.292C76.9805 15.3457 77.6377 16.0859 78.166 15.9453C78.6943 15.8037 78.8926 14.8349 78.6103 13.7802C78.3271 12.7256 77.6689 11.9853 77.1406 12.1259ZM72.4502 12.1318C71.6768 12.9033 71.3633 13.8427 71.75 14.2285C72.1367 14.6142 73.0762 14.3017 73.8496 13.5293C74.623 12.7578 74.9365 11.8193 74.5498 11.4326C74.1631 11.0468 73.2236 11.3593 72.4502 12.1318ZM81.1436 4.84958C80.7568 4.46383 79.8164 4.77731 79.0439 5.54879C78.2705 6.32125 77.957 7.25973 78.3437 7.64547C78.7305 8.03122 79.6709 7.71872 80.4434 6.94625C81.2168 6.17477 81.5303 5.23629 81.1436 4.84958Z" fill="#FD7C66"/>
                  <path d="M83.3564 124.985C77.2881 126.943 70.8105 128 64.0889 128C42.2656 128 23.0537 116.848 11.8516 99.9423H77.375C78.7861 99.9423 79.9297 101.085 79.9297 102.493V117.032C79.9297 120.161 81.251 122.987 83.3564 124.985Z" fill="#FCFCFC"/>
                </g>
                <defs>
                  <clipPath id="clipRecipeHelp">
                    <rect width="128" height="128" fill="white"/>
                  </clipPath>
                </defs>
              </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.Meal">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 0 16 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M14.7499 1.75002H14.9999V8.25002H12.9999V3.50002C13.0005 3.03606 13.185 2.59124 13.5131 2.26316C13.8412 1.93509 14.286 1.75055 14.7499 1.75002ZM13.9999 13.25C13.9999 13.3826 14.0526 13.5098 14.1464 13.6036C14.2402 13.6973 14.3673 13.75 14.4999 13.75C14.6326 13.75 14.7597 13.6973 14.8535 13.6036C14.9473 13.5098 14.9999 13.3826 14.9999 13.25V8.75002H13.9999V13.25ZM1.99995 6.25002V8.25002H2.49995V6.25002H1.99995ZM7.99995 4.50003C7.30771 4.50003 6.63102 4.7053 6.05545 5.08988C5.47988 5.47447 5.03128 6.02109 4.76637 6.66063C4.50146 7.30017 4.43215 8.00391 4.5672 8.68284C4.70225 9.36177 5.03559 9.98541 5.52507 10.4749C6.01456 10.9644 6.6382 11.2977 7.31713 11.4328C7.99607 11.5678 8.6998 11.4985 9.33934 11.2336C9.97888 10.9687 10.5255 10.5201 10.9101 9.94452C11.2947 9.36895 11.4999 8.69226 11.4999 8.00002C11.4989 7.07209 11.1298 6.18246 10.4737 5.52631C9.81751 4.87016 8.92788 4.50108 7.99995 4.50003ZM1.74995 13.25C1.74995 13.3826 1.80263 13.5098 1.8964 13.6036C1.99016 13.6973 2.11734 13.75 2.24995 13.75C2.38256 13.75 2.50973 13.6973 2.6035 13.6036C2.69727 13.5098 2.74995 13.3826 2.74995 13.25V8.75002H1.74995V13.25ZM2.49995 4.50003V2.48421C2.49995 2.41791 2.47361 2.35432 2.42673 2.30744C2.37984 2.26055 2.31625 2.23421 2.24995 2.23421C2.18364 2.23421 2.12006 2.26055 2.07317 2.30744C2.02629 2.35432 1.99995 2.41791 1.99995 2.48421V4.50003C1.99995 4.56633 2.02629 4.62992 2.07317 4.6768C2.12006 4.72369 2.18364 4.75003 2.24995 4.75003C2.31625 4.75003 2.37984 4.72369 2.42673 4.6768C2.47361 4.62992 2.49995 4.56633 2.49995 4.50003ZM13.449 8.75002C13.2929 9.88353 12.7872 10.9401 12.0023 11.7727C11.2174 12.6053 10.1925 13.1723 9.07013 13.3949C7.94779 13.6175 6.78397 13.4846 5.74075 13.0146C4.69753 12.5446 3.82684 11.761 3.24995 10.7729V8.50002C3.24995 8.43372 3.22361 8.37013 3.17673 8.32325C3.12984 8.27636 3.06625 8.25002 2.99995 8.25002V5.7384C2.94546 5.74608 2.89051 5.74996 2.83548 5.75002H1.66436C1.50568 5.75004 1.34868 5.71763 1.20298 5.65477C1.05729 5.59192 0.925976 5.49995 0.817112 5.38451C0.708248 5.26907 0.624127 5.13259 0.569914 4.98347C0.515702 4.83434 0.492541 4.67571 0.501855 4.51731L0.695011 1.98421C0.696814 1.95124 0.705131 1.91896 0.71948 1.88922C0.73383 1.85948 0.753928 1.83288 0.778615 1.81095C0.803302 1.78902 0.832088 1.7722 0.863312 1.76146C0.894535 1.75072 0.927577 1.74627 0.960529 1.74837C0.993482 1.75047 1.02569 1.75907 1.0553 1.77369C1.08491 1.78831 1.11133 1.80864 1.13303 1.83353C1.15474 1.85841 1.1713 1.88734 1.18176 1.91866C1.19222 1.94998 1.19637 1.98306 1.19398 2.01599L1.00092 4.54787C0.995779 4.63816 1.00913 4.72855 1.04015 4.81351C1.07117 4.89846 1.11921 4.97618 1.18132 5.04192C1.24343 5.10766 1.31831 5.16002 1.40137 5.19581C1.48443 5.23159 1.57392 5.25004 1.66436 5.25003H2.83554C2.92607 5.25002 3.01565 5.23152 3.09877 5.19565C3.18189 5.15978 3.2568 5.1073 3.31891 5.04143C3.38102 4.97557 3.42901 4.8977 3.45994 4.81262C3.49086 4.72753 3.50408 4.63702 3.49876 4.54665L3.30579 2.01599C3.30219 1.95018 3.32473 1.8856 3.36851 1.83632C3.41228 1.78704 3.47375 1.75704 3.53953 1.75285C3.60531 1.74866 3.67009 1.77062 3.71976 1.81395C3.76943 1.85728 3.79998 1.91847 3.80476 1.98421L3.9806 4.24606C4.53903 3.64803 5.22386 3.18215 5.98518 2.88238C6.7465 2.58262 7.56512 2.45651 8.38136 2.51327C9.1976 2.57003 9.99089 2.80821 10.7034 3.21046C11.4159 3.6127 12.0297 4.16888 12.4999 4.83843V8.50002C12.4999 8.56633 12.5263 8.62992 12.5732 8.6768C12.6201 8.72369 12.6836 8.75002 12.7499 8.75002H13.449ZM11.9999 8.00002C11.9999 7.2089 11.7654 6.43554 11.3258 5.77774C10.8863 5.11995 10.2616 4.60726 9.53068 4.30451C8.79978 4.00176 7.99551 3.92254 7.21959 4.07688C6.44366 4.23123 5.73093 4.61219 5.17152 5.1716C4.61211 5.73101 4.23115 6.44374 4.07681 7.21966C3.92247 7.99559 4.00168 8.79985 4.30443 9.53076C4.60718 10.2617 5.11987 10.8864 5.77767 11.3259C6.43546 11.7654 7.20882 12 7.99995 12C9.06044 11.9988 10.0772 11.577 10.827 10.8271C11.5769 10.0772 11.9987 9.06052 11.9999 8.00002Z" attr.fill="{{primaryColor}}"/>
                    </svg>
                    
            </ng-container>

            <ng-container *ngSwitchCase="icon.Print">
                <svg attr.width.px="{{width}}" attr.height.px="{{height}}"  viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M29.7425 8.06222H26.1582V2.21007C26.1582 1.67561 25.725 1.24255 25.1907 1.24255H6.80935C6.27502 1.24255 5.84184 1.67561 5.84184 2.21007V8.06222H2.25753C1.01279 8.06222 0 9.07488 0 10.3197V22.7329C0 23.9777 1.01279 24.9905 2.25753 24.9905H5.84184V29.7897C5.84184 30.3242 6.27502 30.7572 6.80935 30.7572H25.1905C25.7248 30.7572 26.158 30.3242 26.158 29.7897V24.9905H29.7423C30.9871 24.9905 31.9999 23.9777 31.9999 22.7329V10.3197C32 9.07501 30.9872 8.06222 29.7425 8.06222ZM7.77686 3.17758H24.223V8.06222H7.77686V3.17758ZM24.223 28.8222H7.77686V19.224H24.223V28.8222ZM30.065 22.7329C30.065 22.9077 29.9173 23.0554 29.7425 23.0554H26.1582V18.2564C26.1582 17.722 25.725 17.2889 25.1907 17.2889H6.80935C6.27502 17.2889 5.84184 17.722 5.84184 18.2564V23.0554H2.25753C2.08273 23.0554 1.93502 22.9077 1.93502 22.7329V10.3197C1.93502 10.1448 2.08273 9.99725 2.25753 9.99725H6.80935H25.1905H29.7423C29.9171 9.99725 30.0648 10.1448 30.0648 10.3197V22.7329H30.065Z" attr.fill="{{primaryColor}}"/>
                    <path d="M25.1904 15.0192C25.9505 15.0192 26.5666 14.4031 26.5666 13.643C26.5666 12.883 25.9505 12.2668 25.1904 12.2668C24.4304 12.2668 23.8142 12.883 23.8142 13.643C23.8142 14.4031 24.4304 15.0192 25.1904 15.0192Z" attr.fill="{{primaryColor}}"/>
                    <path d="M20.4018 21.1333H11.5982C11.0639 21.1333 10.6307 21.5664 10.6307 22.1008C10.6307 22.6353 11.0639 23.0683 11.5982 23.0683H20.4018C20.9361 23.0683 21.3693 22.6353 21.3693 22.1008C21.3693 21.5665 20.9362 21.1333 20.4018 21.1333Z" attr.fill="{{primaryColor}}"/>
                    <path d="M20.4018 24.9775H11.5982C11.0639 24.9775 10.6307 25.4106 10.6307 25.9451C10.6307 26.4795 11.0639 26.9126 11.5982 26.9126H20.4018C20.9361 26.9126 21.3693 26.4795 21.3693 25.9451C21.3693 25.4106 20.9362 24.9775 20.4018 24.9775Z" attr.fill="{{primaryColor}}"/>
                    </svg>
            </ng-container>
            <ng-container *ngSwitchCase="icon.HorizontalDots">
              <svg attr.width.px="{{width}}" attr.height.px="{{height}}" viewBox="0 -192 512 512" xmlns="http://www.w3.org/2000/svg">
                <path d="m320 64c0 35.347656-28.652344 64-64 64s-64-28.652344-64-64 28.652344-64 64-64 64 28.652344 64 64zm0 0"/>
                <path d="m128 64c0 35.347656-28.652344 64-64 64s-64-28.652344-64-64 28.652344-64 64-64 64 28.652344 64 64zm0 0"/>
                <path d="m512 64c0 35.347656-28.652344 64-64 64s-64-28.652344-64-64 28.652344-64 64-64 64 28.652344 64 64zm0 0"/>
              </svg>
              
            </ng-container>

            <ng-container *ngSwitchDefault>

            </ng-container>
        </div>
    </ng-container>
</ng-template>